## voikko-fi 2.0

=== Makefile ===

# Build configuration. See README for more information.
PYTHON=python3
VOIKKO_BUILDDIR=voikko
VVFST_BUILDDIR=vvfst
DESTDIR=/usr/lib/voikko
GENLEX_OPTS=
EXTRA_LEX=
VOIKKO_VARIANT=standard
VOIKKO_DESCRIPTION=suomi (perussanasto)
SM_PATCHINFO=
VANHAHKOT_MUODOT=yes
VANHAT_MUODOT=no
SUKIJAN_MUODOT=no
VOIKKO_DEBUG=no
VVFST_BASEFORMS=yes

# Include user's configuration
-include config.mak

# Version of voikko-fi
SM_VERSION=2.0
SM_BUILDDATE=$(shell date -R -u)

# Optional vocabulary files (needed in the source package)
OPTIONAL_LEX=atk-lyhenteet po-oikoluku linux-distributions

# Source files for Sukija version.
SUKIJA_SRC=sukija/generate_lex.py sukija/generoi.sh sukija/LUE.MINUT \
           sukija/Makefile sukija/malaga1.png sukija/malaga2.png \
           sukija/malaga3.png sukija/README sukija/sanat/11-19.lex \
           sukija/sanat/jokinen.lex sukija/sanat/jokinen.sh sukija/ei-sukija.txt \
           sukija/sanat/latex.lex sukija/sanat/olla-ei.lex sukija/sanat/omat.lex \
           sukija/sanat/etuliitteet.lex sukija/sanat/lyhenteet.lex sukija/sanat/atk-lyhenteet.lex \
           sukija/sukija.py sukija/suomi.all sukija/suomi.sym sukija/suomi.tex \
           sukija/suomi.inc sukija/suomi.lex sukija/suomi.mor sukija/suomi.pro

VVFST_LEXC=vvfst/suomi.lexc vvfst/olla-ei.lexc vvfst/poikkeavat.lexc vvfst/lukusanat.lexc \
           vvfst/asemosanat.lexc vvfst/seikkasanat.lexc vvfst/suhdesanat.lexc

# Files to ship only in the full source package
SRC_ONLY=ChangeLog CONTRIBUTORS README.fi Makefile README COPYING \
         voikko/voikko-fi_FI.pro.in common/voikkoutils.py \
         vocabulary/autocorrect/autocorrect.dtd vocabulary/autocorrect/fi.xml \
         vocabulary/joukahainen.xml vocabulary/flags.txt voikko/generate_lex.py \
         common/hfconv.py common/generate_lex_common.py \
         $(SUKIJA_SRC) $(patsubst %,vocabulary/erikoisalat/%.lex,$(OPTIONAL_LEX)) \
         vvfst/generate_lex.py vvfst/generate_taivutuskaavat.py vvfst/root.lexc \
         vvfst/taivutuskaavat.lexc.in vvfst/index.txt.in vvfst/filter_lexc.py \
         vvfst/autocorrect_to_lexc.py vvfst/autocorrect.foma.in \
         vvfst/main.foma.in $(VVFST_LEXC) vvfst/generate_sukija.py vvfst/poikkeavat-sukija.lexc

VOIKKO_BINDIST=$(VOIKKO_BUILDDIR)/voikko-fi_FI.pro $(VOIKKO_BUILDDIR)/voikko-fi_FI.lex_? \
               $(VOIKKO_BUILDDIR)/voikko-fi_FI.mor_? $(VOIKKO_BUILDDIR)/voikko-fi_FI.sym_?

VVFST_BINDIST=$(VVFST_BUILDDIR)/index.txt $(VVFST_BUILDDIR)/mor.vfst $(VVFST_BUILDDIR)/autocorr.vfst

VVFST_GENERATED_LEXC_SUFFIXES=ee em ep es h l n nl t p a s c
VVFST_GENERATED_LEXC=$(patsubst %,$(VVFST_BUILDDIR)/joukahainen-%.lexc,$(VVFST_GENERATED_LEXC_SUFFIXES))

VVFST_TAIVUTUSKAAVAT_OPTS=
ifeq "$(VANHAT_MUODOT)" "yes"
	VVFST_TAIVUTUSKAAVAT_OPTS=--vanhat
endif
ifeq "$(VVFST_BASEFORMS)" "no"
	GENLEX_OPTS+=--no-baseform
endif

# Shared files needed in Voikko
VOIKKO_COPY_FROM_COMMON=mor.inc subrule.inc
VOIKKO_COPY_FROM_VOCABULARY=erikoissanat.lex seikkasanat.lex \
	suhdesanat.lex lukusanat.lex lyhenteet.lex yhdyssanat.lex erikoiset.lex \
	poikkeavat.lex lainen.lex taivutustaydennykset.lex
VOIKKO_COPY_FROM_VOIKKO=voikko-fi_FI.all voikko-fi_FI.sym voikko-fi_FI.mor \
	olla-ei.lex suomi.lex suomi.inc voikko-fi_FI.lex

SUKIJA_LEX_FROM_XML=joukahainen atk laaketiede matluonnontiede kasvatustiede

# Files to ship in the source package (duplicates are allowed)
SRCDIST=$(SRC_ONLY) $(patsubst %,common/%,$(VOIKKO_COPY_FROM_COMMON)) \
	$(patsubst %,vocabulary/%,$(VOIKKO_COPY_FROM_VOCABULARY)) \
	$(patsubst %,voikko/%,$(VOIKKO_COPY_FROM_VOIKKO))

VOIKKO_ACTUALLY_COPY_FROM_VOIKKO=
ifneq "$(VOIKKO_BUILDDIR)" "voikko"
	VOIKKO_ACTUALLY_COPY_FROM_VOIKKO=$(VOIKKO_COPY_FROM_VOIKKO)
endif

.PHONY: all clean update-vocabulary voikko voikko-install dist-gzip vvfst vvfst-install vvfst-sukija vvfst-sukija-install

all: voikko

voikko: $(patsubst %,$(VOIKKO_BUILDDIR)/%,$(VOIKKO_COPY_FROM_VOCABULARY)) $(patsubst %,$(VOIKKO_BUILDDIR)/%,$(VOIKKO_COPY_FROM_COMMON)) \
	$(patsubst %,$(VOIKKO_BUILDDIR)/%,$(VOIKKO_ACTUALLY_COPY_FROM_VOIKKO)) \
	$(VOIKKO_BUILDDIR)/main.lex $(VOIKKO_BUILDDIR)/voikko-fi_FI.pro $(VOIKKO_BUILDDIR)/config.inc
	@malmake $(VOIKKO_BUILDDIR)/voikko-fi_FI.pro 2>&1 | grep -v "Warning: No allomorphs generated."

$(patsubst %,$(VOIKKO_BUILDDIR)/%,$(VOIKKO_COPY_FROM_VOCABULARY)): $(VOIKKO_BUILDDIR)/%: vocabulary/%
	@mkdir -p $(VOIKKO_BUILDDIR)
	cp $^ $@

$(patsubst %,$(VOIKKO_BUILDDIR)/%,$(VOIKKO_COPY_FROM_COMMON)): $(VOIKKO_BUILDDIR)/%: common/%
	@mkdir -p $(VOIKKO_BUILDDIR)
	cp $^ $@

$(patsubst %,$(VOIKKO_BUILDDIR)/%,$(VOIKKO_ACTUALLY_COPY_FROM_VOIKKO)): $(VOIKKO_BUILDDIR)/%: voikko/%
	@mkdir -p $(VOIKKO_BUILDDIR)
	cp $^ $@

$(VOIKKO_BUILDDIR)/joukahainen.lex: vocabulary/joukahainen.xml vocabulary/flags.txt voikko/generate_lex.py \
	common/voikkoutils.py common/hfconv.py common/generate_lex_common.py
	@grep -B1 "ERROR: base form missing" vocabulary/joukahainen.xml | \
		sed -ne "s|^.*\"w\([^\"]*\)\".*|Base form missing: http://joukahainen.puimula.org/word/edit?wid=\1|p"
	$(PYTHON) voikko/generate_lex.py $(GENLEX_OPTS) --destdir=$(VOIKKO_BUILDDIR)

$(VOIKKO_BUILDDIR)/main.lex: $(VOIKKO_BUILDDIR)/joukahainen.lex $(EXTRA_LEX)
	cat $^ > $@


# Rule to generate voikko-fi_FI.pro

VOIKKO_MURRE=no
ifeq "$(findstring dialect,$(GENLEX_OPTS))" "dialect"
	VOIKKO_MURRE=yes
endif

VOIKKO_PRO_SEDSCRIPT="s/VANHAHKOT_MUODOT/$(VANHAHKOT_MUODOT)/; \
	s/VANHAT_MUODOT/$(VANHAT_MUODOT)/; \
	s/VOIKKO_MURRE/$(VOIKKO_MURRE)/; \
	s/SUKIJAN_MUODOT/$(SUKIJAN_MUODOT)/; \
	s/SM_VOIKKO_VARIANT/$(VOIKKO_VARIANT)/; \
	s/SM_VOIKKO_DESCRIPTION/$(VOIKKO_DESCRIPTION)/; \
	s/SM_VERSION/$(SM_VERSION)/; \
	s/SM_PATCHINFO/$(SM_PATCHINFO)/; \
	s/SM_BUILDCONFIG/$(subst /,\\/,GENLEX_OPTS=$(GENLEX_OPTS) EXTRA_LEX=$(EXTRA_LEX))/; \
	s/SM_BUILDDATE/$(SM_BUILDDATE)/"

$(VOIKKO_BUILDDIR)/voikko-fi_FI.pro: voikko/voikko-fi_FI.pro.in
	sed -e $(VOIKKO_PRO_SEDSCRIPT) < $^ > $@

$(VOIKKO_BUILDDIR)/config.inc:
	echo "define @voikko_debug := $(VOIKKO_DEBUG);" > $@

clean:
	rm -f $(VOIKKO_BUILDDIR)/*_l common/voikkoutils.pyc common/hfconv.pyc
	rm -f $(VOIKKO_BUILDDIR)/config.inc
	rm -f common/generate_lex_common.pyc
	rm -f "voikko-fi-$(SM_VERSION).tar.gz"
	rm -rf "voikko-fi-$(SM_VERSION)"
	rm -f $(patsubst %,$(VOIKKO_BUILDDIR)/%,$(VOIKKO_COPY_FROM_VOCABULARY))
	rm -f $(patsubst %,$(VOIKKO_BUILDDIR)/%,$(VOIKKO_COPY_FROM_COMMON))
	rm -f $(patsubst %,$(VOIKKO_BUILDDIR)/%,$(VOIKKO_ACTUALLY_COPY_FROM_VOIKKO))
	rm -f $(VOIKKO_BUILDDIR)/joukahainen.lex $(VOIKKO_BUILDDIR)/main.lex $(VOIKKO_BUILDDIR)/voikko-fi_FI.pro
	rm -rf sukija/*_l sukija/transmit sukija/sukija.pyc sukija/voikonsanat
	rm -f sukija/k1 sukija/k2 sukija/foo sukija/bar
	rm -f $(VVFST_BUILDDIR)/all.att $(VVFST_BUILDDIR)/all.lexc $(VVFST_BUILDDIR)/main.foma $(VVFST_BUILDDIR)/mor.vfst
	rm -f $(VVFST_BUILDDIR)/autocorrect.att $(VVFST_BUILDDIR)/autocorrect.foma $(VVFST_BUILDDIR)/autocorrect.lexc
	rm -f $(VVFST_BUILDDIR)/autocorr.vfst $(VVFST_BUILDDIR)/taivutuskaavat.lexc $(VVFST_BUILDDIR)/index.txt
	rm -f $(VVFST_GENERATED_LEXC) $(VVFST_BUILDDIR)/joukahainen.lexc.stamp
	rm -f TAGS
	rm -f $(VVFST_BUILDDIR)/all-sukija.att $(VVFST_BUILDDIR)/all-sukija.lexc $(VVFST_BUILDDIR)/main-sukija.foma*
	rm -f $(VVFST_BUILDDIR)/generate_sukija.py.stamp $(VVFST_BUILDDIR)/sukija.fst $(VVFST_BUILDDIR)/test.out
	rm -f $(VVFST_BUILDDIR)/mor-sukija.vfst

# Rules for creating the source distribution

dist-gzip: voikko-fi-$(SM_VERSION).tar.gz

voikko-fi-$(SM_VERSION).tar.gz: $(patsubst %,voikko-fi-$(SM_VERSION)/%, $(sort $(SRCDIST)))
	tar c --group 0 --owner 0 voikko-fi-$(SM_VERSION) | gzip -9 > $@

dist-bzip2: voikko-fi-$(SM_VERSION).tar.bz2

voikko-fi-$(SM_VERSION).tar.bz2: $(patsubst %,voikko-fi-$(SM_VERSION)/%, $(sort $(SRCDIST)))
	tar c --group 0 --owner 0 voikko-fi-$(SM_VERSION) | bzip2 -9 > $@

$(patsubst %,voikko-fi-$(SM_VERSION)/%, $(sort $(SRCDIST))): voikko-fi-$(SM_VERSION)/%: %
	install -m 644 -D $^ $@

voikko-install: voikko
	install -m 755 -d $(DESTDIR)/2/mor-$(VOIKKO_VARIANT)
	install -m 644 $(VOIKKO_BINDIST) $(DESTDIR)/2/mor-$(VOIKKO_VARIANT)

# Vocabulary update
update-vocabulary:
	wget http://joukahainen.puimula.org/sanastot/joukahainen.xml.gz -O - \
	| gunzip > vocabulary/joukahainen.xml


SUKIJA_COPY_FROM_VOCABULARY=\
erikoisalat/linux-distributions.lex \
erikoiset.lex \
erikoissanat.lex \
lainen.lex \
lukusanat.lex \
poikkeavat.lex \
seikkasanat.lex \
suhdesanat.lex \
taivutustaydennykset.lex \
yhdyssanat.lex

sukija: $(patsubst %,sukija/voikonsanat/%,$(SUKIJA_COPY_FROM_VOCABULARY)) \
	$(patsubst %,sukija/voikonsanat/%.lex,$(SUKIJA_LEX_FROM_XML))
	@malmake sukija/suomi.pro 2>&1 | grep -v "Warning: No allomorphs generated."

$(patsubst %,sukija/voikonsanat/%,$(SUKIJA_COPY_FROM_VOCABULARY)): sukija/voikonsanat/%: vocabulary/%
	@mkdir -p sukija/voikonsanat/erikoisalat
	cp $^ $@

$(patsubst %,sukija/voikonsanat/%.lex,$(SUKIJA_LEX_FROM_XML)): vocabulary/joukahainen.xml vocabulary/flags.txt \
	common/voikkoutils.py common/hfconv.py common/generate_lex_common.py $(SUKIJA_SRC)
	@grep -B1 "ERROR: base form missing" vocabulary/joukahainen.xml | \
		sed -ne "s|^.*\"w\([^\"]*\)\".*|Base form missing: http://joukahainen.puimula.org/word/edit?wid=\1|p"
	$(PYTHON) sukija/generate_lex.py
	-@grep "Malaga class not found" sukija/voikonsanat/joukahainen.lex



vvfst: $(VVFST_BUILDDIR)/mor.vfst $(VVFST_BUILDDIR)/autocorr.vfst $(VVFST_BUILDDIR)/index.txt

$(VVFST_BUILDDIR)/joukahainen.lexc.stamp: vocabulary/joukahainen.xml vocabulary/flags.txt vvfst/generate_lex.py \
	common/voikkoutils.py common/hfconv.py common/generate_lex_common.py
	@grep -B1 "ERROR: base form missing" vocabulary/joukahainen.xml | \
		sed -ne "s|^.*\"w\([^\"]*\)\".*|Base form missing: http://joukahainen.puimula.org/word/edit?wid=\1|p"
	$(PYTHON) vvfst/generate_lex.py $(GENLEX_OPTS) --destdir=$(VVFST_BUILDDIR)
	touch $@

$(VVFST_BUILDDIR)/taivutuskaavat.lexc: vvfst/taivutuskaavat.lexc.in vvfst/generate_taivutuskaavat.py
	$(PYTHON) vvfst/generate_taivutuskaavat.py $(GENLEX_OPTS) $(VVFST_TAIVUTUSKAAVAT_OPTS) --destdir=$(VVFST_BUILDDIR)

$(VVFST_BUILDDIR)/all.lexc: vvfst/filter_lexc.py vvfst/root.lexc $(VVFST_BUILDDIR)/taivutuskaavat.lexc $(VVFST_BUILDDIR)/joukahainen.lexc.stamp $(VVFST_LEXC)
	$(PYTHON) vvfst/filter_lexc.py $(GENLEX_OPTS) $(VVFST_TAIVUTUSKAAVAT_OPTS) vvfst/root.lexc $(VVFST_BUILDDIR)/taivutuskaavat.lexc $(VVFST_GENERATED_LEXC) $(VVFST_LEXC) > $@

$(VVFST_BUILDDIR)/autocorrect.lexc: vocabulary/autocorrect/fi.xml vvfst/autocorrect_to_lexc.py
	$(PYTHON) vvfst/autocorrect_to_lexc.py vocabulary/autocorrect/fi.xml $@

$(VVFST_BUILDDIR)/main.foma: vvfst/main.foma.in
	sed -e "s,VVFST_BUILDDIR,$(VVFST_BUILDDIR)," < $^ > $@

$(VVFST_BUILDDIR)/autocorrect.foma: vvfst/autocorrect.foma.in
	sed -e "s,VVFST_BUILDDIR,$(VVFST_BUILDDIR)," < $^ > $@

$(VVFST_BUILDDIR)/all.att: $(VVFST_BUILDDIR)/all.lexc $(VVFST_BUILDDIR)/main.foma
	foma -f $(VVFST_BUILDDIR)/main.foma 2>&1 | grep -v "defined but not used"

$(VVFST_BUILDDIR)/autocorrect.att: $(VVFST_BUILDDIR)/autocorrect.lexc $(VVFST_BUILDDIR)/autocorrect.foma
	foma -f $(VVFST_BUILDDIR)/autocorrect.foma 2>&1 | grep -v "defined but not used"

$(VVFST_BUILDDIR)/mor.vfst: $(VVFST_BUILDDIR)/all.att
	cat $^ | sort -n | voikkovfstc -o $@

$(VVFST_BUILDDIR)/autocorr.vfst: $(VVFST_BUILDDIR)/autocorrect.att
	cat $^ | sort -n | voikkovfstc -o $@

VVFST_PRO_SEDSCRIPT="s/SM_VOIKKO_VARIANT/$(VOIKKO_VARIANT)/; \
	s/SM_VOIKKO_DESCRIPTION/$(VOIKKO_DESCRIPTION)/; \
	s/SM_VERSION/$(SM_VERSION)/; \
	s/SM_PATCHINFO/$(SM_PATCHINFO)/; \
	s/SM_BUILDCONFIG/$(subst /,\\/,GENLEX_OPTS=$(GENLEX_OPTS) EXTRA_LEX=$(EXTRA_LEX))/; \
	s/SM_BUILDDATE/$(SM_BUILDDATE)/"

$(VVFST_BUILDDIR)/index.txt: vvfst/index.txt.in
	sed -e $(VVFST_PRO_SEDSCRIPT) < $^ > $@


vvfst-install: vvfst
	install -m 755 -d $(DESTDIR)/5/mor-$(VOIKKO_VARIANT)
	install -m 644 $(VVFST_BINDIST) $(DESTDIR)/5/mor-$(VOIKKO_VARIANT)


TAGS: $(patsubst %,vocabulary/%,$(VOIKKO_COPY_FROM_VOCABULARY)) \
		$(patsubst %,vocabulary/erikoisalat/%.lex,$(OPTIONAL_LEX))
	etags --lang=none --output=$@ \

=== debian/changelog ===
voikko-fi (2.0-3) unstable; urgency=medium

  * Rename source to voikko-fi to match upstream project rename and
    the fact that malaga is no longer used.

 -- Timo Jyrinki <timo@debian.org>  Tue, 16 Feb 2016 14:10:04 +0200

suomi-malaga (2.0-2) unstable; urgency=medium

  * Improve package description now that malaga is no longer used.

 -- Timo Jyrinki <timo@debian.org>  Thu, 11 Feb 2016 10:12:36 +0200

suomi-malaga (2.0-1) unstable; urgency=medium

  [ Timo Jyrinki ]
  * New upstream major version.
  * Drops malaga usage, uses now VFST (Varissuo Finite State Transducer).
  * Require libvoikko-dev >= 4.0 for building. 
  * Drop malaga-bin, switch to Python 3.
  * Bump Standards-Version, no changes.
  * debian/watch: update url (now called voikko-fi)
  * debian/rules: adjust to build using vvfst parameter
  * Require foma for building.
  * Use C.UTF-8 locale for a successful (and more reproducible) build.

  [ Chris Lamb ]
  * debian/patches/10_source_date_epoch.patch: reproducible build
    (Closes: #807161)

 -- Timo Jyrinki <timo@debian.org>  Wed, 10 Feb 2016 17:04:22 +0200

suomi-malaga (1.18-1) experimental; urgency=medium

  * Imported Upstream version 1.18

 -- Timo Jyrinki <timo@debian.org>  Tue, 10 Feb 2015 16:21:32 +0200

suomi-malaga (1.17-1) unstable; urgency=medium

  * Imported Upstream version 1.17

 -- Timo Jyrinki <timo@debian.org>  Mon, 25 Aug 2014 12:00:31 +0300

suomi-malaga (1.16-1) unstable; urgency=medium

  * Imported Upstream version 1.16
  * Update Standards-Version

 -- Timo Jyrinki <timo@debian.org>  Wed, 02 Apr 2014 20:20:35 +0300

suomi-malaga (1.15-1) unstable; urgency=low

  * Update watch URL
  * Update Homepage address and add Debian collab-maint git vcs addresses
  * Imported Upstream version 1.15
  * Switch more to debhelper defaults
  * Bump debhelper from 5 to 9

 -- Timo Jyrinki <timo@debian.org>  Mon, 11 Nov 2013 19:00:24 +0200

suomi-malaga (1.14-1) unstable; urgency=low

  * New upstream release

 -- Timo Jyrinki <timo@debian.org>  Tue, 23 Jul 2013 14:53:03 +0300

suomi-malaga (1.13-1) unstable; urgency=low

  * New upstream release
  * Update Standards-Version
  * copyright: Update to fix lintian warning

 -- Timo Jyrinki <timo@debian.org>  Mon, 13 May 2013 16:24:24 +0300

suomi-malaga (1.12-1) unstable; urgency=low

  * New upstream release

 -- Timo Jyrinki <timo@debian.org>  Mon, 25 Jun 2012 22:25:28 +0300

suomi-malaga (1.11-1) unstable; urgency=low

  * New upstream release
  * Update Standards-Version
  * Add recommended build targets

 -- Timo Jyrinki <timo@debian.org>  Tue, 27 Mar 2012 14:00:29 +0300

suomi-malaga (1.10-1) unstable; urgency=low

  * New upstream release
  * Update Standards-Version
  * Remove duplicate Section from control file
  * Remove beginning article from the short description

 -- Timo Jyrinki <timo@debian.org>  Fri, 23 Sep 2011 09:19:10 +0300

suomi-malaga (1.9-1) unstable; urgency=low

  * New upstream release

 -- Timo Jyrinki <timo@debian.org>  Wed, 11 May 2011 12:47:31 +0300

suomi-malaga (1.8-1) unstable; urgency=low

  * New upstream release
  * Update Standards-Version

 -- Timo Jyrinki <timo@debian.org>  Mon, 13 Dec 2010 18:48:51 +0200

suomi-malaga (1.6-1) unstable; urgency=low

  * New upstream release
  * Update Standards-Version to 3.8.4
  * Change to 3.0 (quilt) source version

 -- Timo Jyrinki <timo@debian.org>  Wed, 26 May 2010 21:39:32 +0300

suomi-malaga (1.5-1) unstable; urgency=low

  * New upstream release
  * Fix lintian warning about relation form

 -- Timo Jyrinki <timo@debian.org>  Wed, 27 Jan 2010 17:49:59 +0200

suomi-malaga (1.4-1) unstable; urgency=low

  * New upstream release
  * Last part of installation directory no longer needs to be specified 
  * Breaks libvoikko < 2.2 
  * Update Standards-Version to 3.8.3 

 -- Timo Jyrinki <timo@debian.org>  Wed, 14 Oct 2009 17:18:20 +0300

suomi-malaga (1.3-3) unstable; urgency=low

  * Add FLOSS brand names (Closes: #527097)

 -- Timo Jyrinki <timo@debian.org>  Sun, 24 May 2009 11:58:08 +0300

suomi-malaga (1.3-2) unstable; urgency=low

  * Change installation path to work with libvoikko 2.1
  * Add Breaks to earlier libvoikko versions 
  * Update Standards-Version (no changes)
  * Bump debhelper to version 5 

 -- Timo Jyrinki <timo@debian.org>  Tue, 05 May 2009 20:26:29 +0300

suomi-malaga (1.3-1) unstable; urgency=low

  * New upstream release

 -- Timo Jyrinki <timo@debian.org>  Fri, 06 Mar 2009 17:10:54 +0200

suomi-malaga (1.2-2) unstable; urgency=low

  * Upload to unstable

 -- Timo Jyrinki <timo@debian.org>  Mon, 16 Feb 2009 16:56:22 +0200

suomi-malaga (1.2-1) experimental; urgency=low

  * New upstream release
  * Update maintainer address
  * Update Standards-Version (no changes)

 -- Timo Jyrinki <timo@debian.org>  Tue, 13 Jan 2009 15:04:37 +0200

suomi-malaga (1.1-1) unstable; urgency=low

  * New upstream release
  * Update debian/copyright to fix lintian warning and more

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Tue, 29 Apr 2008 22:39:14 +0300

suomi-malaga (1.0-1) unstable; urgency=low

  * New upstream version
  * Update standards-version to 3.7.3 (no changes)
  * Use new official "Homepage" field in control file
  * Add new Vcs-* fields as supported in dpkg 1.14.6 (thanks to Teemu Likonen)

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Thu, 10 Jan 2008 22:16:23 +0200

suomi-malaga (0.7.7-1) unstable; urgency=low

  * New upstream version
  * Fix Lintian warning debian-rules-ignores-make-clean-error

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Tue, 04 Dec 2007 19:54:43 +0200

suomi-malaga (0.7.6-1) unstable; urgency=low

  * New upstream version

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Sat, 01 Sep 2007 22:11:22 +0300

suomi-malaga (0.7.5-1) unstable; urgency=low

  * New upstream version
  * Add python build-dep, sync with upstream Debian packaging
  * Patch from upstream SVN to fix make -j5
  * Patch from upstream SVN to fix words of type "saksalais-roomalainen"



=== debian/control ===
Source: voikko-fi
Section: text
Priority: optional
Maintainer: Timo Jyrinki <timo@debian.org>
Build-Depends: debhelper (>= 9.0.0), foma-bin, python3, libvoikko-dev (>= 4.0)
Standards-Version: 3.9.6
Homepage: http://voikko.puimula.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/suomi-malaga.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/suomi-malaga.git;a=summary

Package: voikko-fi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libvoikko1 (<< 2.2-1)
Description: Description of Finnish morphology written for libvoikko
 Voikko-fi (previously known as suomi-malaga) is a description of Finnish
 morphology written for libvoikko.
 .
 This package contains a compiled version of Voikko-fi using the new
 unweighted VFST dictionary format. It is suitable for use in spell checking,
 grammar checking and hyphenation system Voikko, provided by the libvoikko
 library.

=== debian/rules ===
#!/usr/bin/make -f

LC_ALL := C.UTF-8
export LC_ALL

%:
	dh $@ --fail-missing

override_dh_auto_build:
	$(MAKE) vvfst EXTRA_LEX=vocabulary/erikoisalat/linux-distributions.lex
	
override_dh_auto_install:
	$(MAKE) vvfst-install DESTDIR=$(CURDIR)/debian/voikko-fi/usr/lib/voikko

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

# Full-site-with-pattern  [Version  [Action]]
http://www.puimula.org/voikko-sources/voikko-fi/voikko-fi-(.*)\.tar\.gz

## voikko-fi 2.1

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 -include config.mak
 
 # Version of voikko-fi
-SM_VERSION=2.0
+SM_VERSION=2.1
 SM_BUILDDATE=$(shell date -R -u)
 
 # Optional vocabulary files (needed in the source package)
@@ -229,7 +229,7 @@
 	$(PYTHON) vvfst/generate_taivutuskaavat.py $(GENLEX_OPTS) $(VVFST_TAIVUTUSKAAVAT_OPTS) --destdir=$(VVFST_BUILDDIR)
 
 $(VVFST_BUILDDIR)/all.lexc: vvfst/filter_lexc.py vvfst/root.lexc $(VVFST_BUILDDIR)/taivutuskaavat.lexc $(VVFST_BUILDDIR)/joukahainen.lexc.stamp $(VVFST_LEXC)
-	$(PYTHON) vvfst/filter_lexc.py $(GENLEX_OPTS) $(VVFST_TAIVUTUSKAAVAT_OPTS) vvfst/root.lexc $(VVFST_BUILDDIR)/taivutuskaavat.lexc $(VVFST_GENERATED_LEXC) $(VVFST_LEXC) > $@
+	$(PYTHON) vvfst/filter_lexc.py $@ $(GENLEX_OPTS) $(VVFST_TAIVUTUSKAAVAT_OPTS) vvfst/root.lexc $(VVFST_BUILDDIR)/taivutuskaavat.lexc $(VVFST_GENERATED_LEXC) $(VVFST_LEXC)
 
 $(VVFST_BUILDDIR)/autocorrect.lexc: vocabulary/autocorrect/fi.xml vvfst/autocorrect_to_lexc.py
 	$(PYTHON) vvfst/autocorrect_to_lexc.py vocabulary/autocorrect/fi.xml $@
@@ -242,6 +242,7 @@
 
 $(VVFST_BUILDDIR)/all.att: $(VVFST_BUILDDIR)/all.lexc $(VVFST_BUILDDIR)/main.foma
 	foma -f $(VVFST_BUILDDIR)/main.foma 2>&1 | grep -v "defined but not used"
+	! grep ']]' $@
 
 $(VVFST_BUILDDIR)/autocorrect.att: $(VVFST_BUILDDIR)/autocorrect.lexc $(VVFST_BUILDDIR)/autocorrect.foma
 	foma -f $(VVFST_BUILDDIR)/autocorrect.foma 2>&1 | grep -v "defined but not used"
@@ -270,4 +271,3 @@
 
 TAGS: $(patsubst %,vocabulary/%,$(VOIKKO_COPY_FROM_VOCABULARY)) \
 		$(patsubst %,vocabulary/erikoisalat/%.lex,$(OPTIONAL_LEX))
-	etags --lang=none --output=$@ \

=== debian/changelog ===
voikko-fi (2.1-1) unstable; urgency=medium

  * New upstream version.
  * Run wrap-and-sort -a -f.
  * Rebase 10_source_date_epoch.patch.
  * Bump Standards-Version, no changes.

 -- Timo Jyrinki <timo@debian.org>  Fri, 11 Nov 2016 11:06:22 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,20 @@
 Section: text
 Priority: optional
 Maintainer: Timo Jyrinki <timo@debian.org>
-Build-Depends: debhelper (>= 9.0.0), foma-bin, python3, libvoikko-dev (>= 4.0)
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9.0.0),
+               foma-bin,
+               libvoikko-dev (>= 4.0),
+               python3,
+Standards-Version: 3.9.8
 Homepage: http://voikko.puimula.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/suomi-malaga.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/suomi-malaga.git;a=summary
 
 Package: voikko-fi
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: libvoikko1 (<< 2.2-1)
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Breaks: libvoikko1 (<< 2.2-1),
 Description: Description of Finnish morphology written for libvoikko
  Voikko-fi (previously known as suomi-malaga) is a description of Finnish
  morphology written for libvoikko.

## voikko-fi 2.2

=== Makefile ===

# Build configuration. See README.md for more information.
PYTHON=python3
VVFST_BUILDDIR=vvfst
DESTDIR=/usr/lib/voikko
GENLEX_OPTS=
EXTRA_LEX=
VOIKKO_VARIANT=standard
VOIKKO_DESCRIPTION=suomi (perussanasto)
SM_PATCHINFO=
VANHAHKOT_MUODOT=yes
VANHAT_MUODOT=no
SUKIJAN_MUODOT=no
VOIKKO_DEBUG=no
VVFST_BASEFORMS=yes

# Include user's configuration
-include config.mak

# Version of voikko-fi
SM_VERSION=2.2
SM_BUILDDATE=$(shell date -R -u)

VVFST_LEXC=vvfst/suomi.lexc vvfst/olla-ei.lexc vvfst/poikkeavat.lexc vvfst/lukusanat.lexc \
           vvfst/asemosanat.lexc vvfst/seikkasanat.lexc vvfst/suhdesanat.lexc

# Files to ship only in the full source package
SRC_ONLY=ChangeLog CONTRIBUTORS Makefile README.md COPYING \
         common/voikkoutils.py \
         vocabulary/autocorrect/autocorrect.dtd vocabulary/autocorrect/fi.xml \
         vocabulary/joukahainen.xml vocabulary/flags.txt \
         common/hfconv.py common/generate_lex_common.py \
         vvfst/generate_lex.py vvfst/generate_taivutuskaavat.py vvfst/root.lexc \
         vvfst/taivutuskaavat.lexc.in vvfst/index.txt.in vvfst/filter_lexc.py \
         vvfst/autocorrect_to_lexc.py vvfst/autocorrect.foma.in \
         vvfst/main.foma.in $(VVFST_LEXC) vvfst/generate_sukija.py vvfst/poikkeavat-sukija.lexc

VVFST_BINDIST=$(VVFST_BUILDDIR)/index.txt $(VVFST_BUILDDIR)/mor.vfst $(VVFST_BUILDDIR)/autocorr.vfst

VVFST_GENERATED_LEXC_SUFFIXES=ee em ep es h l n nl t p a s c
VVFST_GENERATED_LEXC=$(patsubst %,$(VVFST_BUILDDIR)/joukahainen-%.lexc,$(VVFST_GENERATED_LEXC_SUFFIXES))

VVFST_TAIVUTUSKAAVAT_OPTS=
ifeq "$(VANHAT_MUODOT)" "yes"
	VVFST_TAIVUTUSKAAVAT_OPTS=--vanhat
endif
ifeq "$(VVFST_BASEFORMS)" "no"
	GENLEX_OPTS+=--no-baseform
endif

SUKIJA_LEX_FROM_XML=joukahainen atk laaketiede matluonnontiede kasvatustiede

# Files to ship in the source package (duplicates are allowed)
SRCDIST=$(SRC_ONLY)

.PHONY: all clean update-vocabulary dist-gzip vvfst vvfst-install vvfst-sukija vvfst-install-sukija

all: vvfst

clean:
	rm -f common/voikkoutils.pyc common/hfconv.pyc
	rm -f common/generate_lex_common.pyc
	rm -f "voikko-fi-$(SM_VERSION).tar.gz"
	rm -rf "voikko-fi-$(SM_VERSION)"
	rm -f $(VVFST_BUILDDIR)/all.att $(VVFST_BUILDDIR)/all.lexc $(VVFST_BUILDDIR)/main.foma $(VVFST_BUILDDIR)/mor.vfst
	rm -f $(VVFST_BUILDDIR)/autocorrect.att $(VVFST_BUILDDIR)/autocorrect.foma $(VVFST_BUILDDIR)/autocorrect.lexc
	rm -f $(VVFST_BUILDDIR)/autocorr.vfst $(VVFST_BUILDDIR)/taivutuskaavat.lexc $(VVFST_BUILDDIR)/index.txt
	rm -f $(VVFST_GENERATED_LEXC) $(VVFST_BUILDDIR)/joukahainen.lexc.stamp
	rm -f $(VVFST_BUILDDIR)/all-sukija.att $(VVFST_BUILDDIR)/all-sukija.lexc $(VVFST_BUILDDIR)/main-sukija.foma*
	rm -f $(VVFST_BUILDDIR)/generate_sukija.py.stamp $(VVFST_BUILDDIR)/sukija.fst $(VVFST_BUILDDIR)/test.out
	rm -f $(VVFST_BUILDDIR)/mor-sukija.vfst

# Rules for creating the source distribution

dist-gzip: voikko-fi-$(SM_VERSION).tar.gz

voikko-fi-$(SM_VERSION).tar.gz: $(patsubst %,voikko-fi-$(SM_VERSION)/%, $(sort $(SRCDIST)))
	tar c --group 0 --owner 0 voikko-fi-$(SM_VERSION) | gzip -9 > $@

dist-bzip2: voikko-fi-$(SM_VERSION).tar.bz2

voikko-fi-$(SM_VERSION).tar.bz2: $(patsubst %,voikko-fi-$(SM_VERSION)/%, $(sort $(SRCDIST)))
	tar c --group 0 --owner 0 voikko-fi-$(SM_VERSION) | bzip2 -9 > $@

$(patsubst %,voikko-fi-$(SM_VERSION)/%, $(sort $(SRCDIST))): voikko-fi-$(SM_VERSION)/%: %
	install -m 644 -D $^ $@

# Vocabulary update
update-vocabulary:
	wget http://joukahainen.puimula.org/sanastot/joukahainen.xml.gz -O - \
	| gunzip > vocabulary/joukahainen.xml


vvfst: $(VVFST_BUILDDIR)/mor.vfst $(VVFST_BUILDDIR)/autocorr.vfst $(VVFST_BUILDDIR)/index.txt

$(VVFST_BUILDDIR)/joukahainen.lexc.stamp: vocabulary/joukahainen.xml vocabulary/flags.txt vvfst/generate_lex.py \
	common/voikkoutils.py common/hfconv.py common/generate_lex_common.py
	@grep -B1 "ERROR: base form missing" vocabulary/joukahainen.xml | \
		sed -ne "s|^.*\"w\([^\"]*\)\".*|Base form missing: http://joukahainen.puimula.org/word/edit?wid=\1|p"
	$(PYTHON) vvfst/generate_lex.py $(GENLEX_OPTS) --destdir=$(VVFST_BUILDDIR)
	touch $@

$(VVFST_BUILDDIR)/taivutuskaavat.lexc: vvfst/taivutuskaavat.lexc.in vvfst/generate_taivutuskaavat.py
	$(PYTHON) vvfst/generate_taivutuskaavat.py $(GENLEX_OPTS) $(VVFST_TAIVUTUSKAAVAT_OPTS) --destdir=$(VVFST_BUILDDIR)

$(VVFST_BUILDDIR)/all.lexc: vvfst/filter_lexc.py vvfst/root.lexc $(VVFST_BUILDDIR)/taivutuskaavat.lexc $(VVFST_BUILDDIR)/joukahainen.lexc.stamp $(VVFST_LEXC)
	$(PYTHON) vvfst/filter_lexc.py $@ $(GENLEX_OPTS) $(VVFST_TAIVUTUSKAAVAT_OPTS) vvfst/root.lexc $(VVFST_BUILDDIR)/taivutuskaavat.lexc $(VVFST_GENERATED_LEXC) $(VVFST_LEXC)

$(VVFST_BUILDDIR)/autocorrect.lexc: vocabulary/autocorrect/fi.xml vvfst/autocorrect_to_lexc.py
	$(PYTHON) vvfst/autocorrect_to_lexc.py vocabulary/autocorrect/fi.xml $@

$(VVFST_BUILDDIR)/main.foma: vvfst/main.foma.in
	sed -e "s,VVFST_BUILDDIR,$(VVFST_BUILDDIR)," < $^ > $@

$(VVFST_BUILDDIR)/autocorrect.foma: vvfst/autocorrect.foma.in
	sed -e "s,VVFST_BUILDDIR,$(VVFST_BUILDDIR)," < $^ > $@

$(VVFST_BUILDDIR)/all.att: $(VVFST_BUILDDIR)/all.lexc $(VVFST_BUILDDIR)/main.foma
	foma -f $(VVFST_BUILDDIR)/main.foma 2>&1 | grep -v "defined but not used"
	! grep ']]' $@

$(VVFST_BUILDDIR)/autocorrect.att: $(VVFST_BUILDDIR)/autocorrect.lexc $(VVFST_BUILDDIR)/autocorrect.foma
	foma -f $(VVFST_BUILDDIR)/autocorrect.foma 2>&1 | grep -v "defined but not used"

$(VVFST_BUILDDIR)/mor.vfst: $(VVFST_BUILDDIR)/all.att
	cat $^ | sort -n | voikkovfstc -o $@

$(VVFST_BUILDDIR)/autocorr.vfst: $(VVFST_BUILDDIR)/autocorrect.att
	cat $^ | sort -n | voikkovfstc -o $@

VVFST_PRO_SEDSCRIPT="s/SM_VOIKKO_VARIANT/$(VOIKKO_VARIANT)/; \
	s/SM_VOIKKO_DESCRIPTION/$(VOIKKO_DESCRIPTION)/; \
	s/SM_VERSION/$(SM_VERSION)/; \
	s/SM_PATCHINFO/$(SM_PATCHINFO)/; \
	s/SM_BUILDCONFIG/$(subst /,\\/,GENLEX_OPTS=$(GENLEX_OPTS) EXTRA_LEX=$(EXTRA_LEX))/; \
	s/SM_BUILDDATE/$(SM_BUILDDATE)/"

$(VVFST_BUILDDIR)/index.txt: vvfst/index.txt.in
	sed -e $(VVFST_PRO_SEDSCRIPT) < $^ > $@


vvfst-install: vvfst
	install -m 755 -d $(DESTDIR)/5/mor-$(VOIKKO_VARIANT)
	install -m 644 $(VVFST_BINDIST) $(DESTDIR)/5/mor-$(VOIKKO_VARIANT)


# Rules for creating vvfst morphology for Sukija indexer. See file
# $(VVFST_BUILDDIR)/generate_sukija.py for details.
#
vvfst-sukija: VOIKKO_VARIANT=sukija
vvfst-sukija: VOIKKO_DESCRIPTION=suomi (perussanasto) Sukija
vvfst-sukija: GENLEX_OPTS=--style=dialect,foreign,foreignloan,inappropriate,incorrect,international,old --min-frequency=10 --extra-usage=education,human,it,medicine,nature,orgname,science --sukija
vvfst-sukija: $(VVFST_BUILDDIR)/mor-sukija.vfst $(VVFST_BUILDDIR)/autocorr.vfst  $(VVFST_BUILDDIR)/index.txt

vvfst-sukija-ys: VOIKKO_VARIANT=sukija
vvfst-sukija-ys: VOIKKO_DESCRIPTION=suomi (perussanasto) Sukija
vvfst-sukija-ys: GENLEX_OPTS=--style=dialect,foreign,foreignloan,inappropriate,incorrect,international,old --min-frequency=10 --extra-usage=education,human,it,medicine,nature,orgname,science --sukija --sukija-ys
vvfst-sukija-ys: $(VVFST_BUILDDIR)/mor-sukija.vfst  $(VVFST_BUILDDIR)/index.txt

$(VVFST_BUILDDIR)/all-sukija.lexc: $(VVFST_BUILDDIR)/all.lexc $(VVFST_BUILDDIR)/generate_sukija.py.stamp $(VVFST_BUILDDIR)/poikkeavat-sukija.lexc
	$(PYTHON) vvfst/generate_sukija.py $(GENLEX_OPTS) --destdir=$(VVFST_BUILDDIR)

$(VVFST_BUILDDIR)/all-sukija.att: $(VVFST_BUILDDIR)/all-sukija.lexc $(VVFST_BUILDDIR)/main-sukija.foma
	foma -f $(VVFST_BUILDDIR)/main-sukija.foma 2>&1 | grep -v "defined but not used"
	! grep ']]' $@

$(VVFST_BUILDDIR)/main-sukija.foma: $(VVFST_BUILDDIR)/main.foma
	sed -e 's,/all,/all-sukija,' < $^ > $@

$(VVFST_BUILDDIR)/mor-sukija.vfst: $(VVFST_BUILDDIR)/all-sukija.att
	cat $^ | sort -n | voikkovfstc -o $@
	cp $@ $(VVFST_BUILDDIR)/mor.vfst

$(VVFST_BUILDDIR)/generate_sukija.py.stamp: $(VVFST_BUILDDIR)/generate_sukija.py
	touch $@

vvfst-install-sukija: VOIKKO_VARIANT=sukija
vvfst-install-sukija: VOIKKO_DESCRIPTION=suomi (perussanasto) Sukija
vvfst-install-sukija: vvfst-sukija
	install -m 755 -d $(DESTDIR)/5/mor-$(VOIKKO_VARIANT)
	install -m 644 $(VVFST_BINDIST) $(DESTDIR)/5/mor-$(VOIKKO_VARIANT)

=== debian/changelog ===
voikko-fi (2.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Adjust debian/docs to what is shipped upstream. (Closes: #903343)

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Aug 2018 16:41:17 +0300

voikko-fi (2.2-1) unstable; urgency=medium

  * New upstream version.
  * Rebase 10_source_date_epoch.patch
  * Bump Standards-Version to 4.0.0.

 -- Timo Jyrinki <timo@debian.org>  Fri, 08 Sep 2017 16:05:40 +0300

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                foma-bin,
                libvoikko-dev (>= 4.0),
                python3,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://voikko.puimula.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/suomi-malaga.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/suomi-malaga.git;a=summary

## voikko-fi 2.3

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,6 @@
 VVFST_BUILDDIR=vvfst
 DESTDIR=/usr/lib/voikko
 GENLEX_OPTS=
-EXTRA_LEX=
 VOIKKO_VARIANT=standard
 VOIKKO_DESCRIPTION=suomi (perussanasto)
 SM_PATCHINFO=
@@ -18,8 +17,12 @@
 -include config.mak
 
 # Version of voikko-fi
-SM_VERSION=2.2
-SM_BUILDDATE=$(shell date -R -u)
+SM_VERSION=2.3
+ifdef SOURCE_DATE_EPOCH
+	SM_BUILDDATE=$(shell date -R -u -d "@$(SOURCE_DATE_EPOCH)")
+else
+	SM_BUILDDATE=$(shell date -R -u)
+endif
 
 VVFST_LEXC=vvfst/suomi.lexc vvfst/olla-ei.lexc vvfst/poikkeavat.lexc vvfst/lukusanat.lexc \
            vvfst/asemosanat.lexc vvfst/seikkasanat.lexc vvfst/suhdesanat.lexc
@@ -87,7 +90,7 @@
 
 # Vocabulary update
 update-vocabulary:
-	wget http://joukahainen.puimula.org/sanastot/joukahainen.xml.gz -O - \
+	wget https://joukahainen.puimula.org/sanastot/joukahainen.xml.gz -O - \
 	| gunzip > vocabulary/joukahainen.xml
 
 
@@ -96,7 +99,7 @@
 $(VVFST_BUILDDIR)/joukahainen.lexc.stamp: vocabulary/joukahainen.xml vocabulary/flags.txt vvfst/generate_lex.py \
 	common/voikkoutils.py common/hfconv.py common/generate_lex_common.py
 	@grep -B1 "ERROR: base form missing" vocabulary/joukahainen.xml | \
-		sed -ne "s|^.*\"w\([^\"]*\)\".*|Base form missing: http://joukahainen.puimula.org/word/edit?wid=\1|p"
+		sed -ne "s|^.*\"w\([^\"]*\)\".*|Base form missing: https://joukahainen.puimula.org/word/edit?wid=\1|p"
 	$(PYTHON) vvfst/generate_lex.py $(GENLEX_OPTS) --destdir=$(VVFST_BUILDDIR)
 	touch $@
 
@@ -117,6 +120,7 @@
 
 $(VVFST_BUILDDIR)/all.att: $(VVFST_BUILDDIR)/all.lexc $(VVFST_BUILDDIR)/main.foma
 	foma -f $(VVFST_BUILDDIR)/main.foma 2>&1 | grep -v "defined but not used"
+	test -e $@
 	! grep ']]' $@
 
 $(VVFST_BUILDDIR)/autocorrect.att: $(VVFST_BUILDDIR)/autocorrect.lexc $(VVFST_BUILDDIR)/autocorrect.foma
@@ -132,7 +136,7 @@
 	s/SM_VOIKKO_DESCRIPTION/$(VOIKKO_DESCRIPTION)/; \
 	s/SM_VERSION/$(SM_VERSION)/; \
 	s/SM_PATCHINFO/$(SM_PATCHINFO)/; \
-	s/SM_BUILDCONFIG/$(subst /,\\/,GENLEX_OPTS=$(GENLEX_OPTS) EXTRA_LEX=$(EXTRA_LEX))/; \
+	s/SM_BUILDCONFIG/$(subst /,\\/,GENLEX_OPTS=$(GENLEX_OPTS))/; \
 	s/SM_BUILDDATE/$(SM_BUILDDATE)/"
 
 $(VVFST_BUILDDIR)/index.txt: vvfst/index.txt.in
@@ -143,18 +147,23 @@
 	install -m 755 -d $(DESTDIR)/5/mor-$(VOIKKO_VARIANT)
 	install -m 644 $(VVFST_BINDIST) $(DESTDIR)/5/mor-$(VOIKKO_VARIANT)
 
+vvfst-install-js-preload-file: vvfst-install
+ifndef EMSCRIPTEN
+	$(error EMSCRIPTEN is undefined, please source emsdk_set_env.sh first)
+endif
+	cd $(DESTDIR) && python $(EMSCRIPTEN)/tools/file_packager.py jsdict-$(VOIKKO_VARIANT).data --preload 5 --js-output=jsdict-$(VOIKKO_VARIANT).js
 
 # Rules for creating vvfst morphology for Sukija indexer. See file
 # $(VVFST_BUILDDIR)/generate_sukija.py for details.
 #
 vvfst-sukija: VOIKKO_VARIANT=sukija
 vvfst-sukija: VOIKKO_DESCRIPTION=suomi (perussanasto) Sukija
-vvfst-sukija: GENLEX_OPTS=--style=dialect,foreign,foreignloan,inappropriate,incorrect,international,old --min-frequency=10 --extra-usage=education,human,it,medicine,nature,orgname,science --sukija
+vvfst-sukija: GENLEX_OPTS=--style=dialect,foreign,foreignloan,inappropriate,incorrect,international,old --min-frequency=10 --extra-usage=education,human,it,medicine,nature,orgname,private_stat_fi,science --sukija
 vvfst-sukija: $(VVFST_BUILDDIR)/mor-sukija.vfst $(VVFST_BUILDDIR)/autocorr.vfst  $(VVFST_BUILDDIR)/index.txt
 
 vvfst-sukija-ys: VOIKKO_VARIANT=sukija
 vvfst-sukija-ys: VOIKKO_DESCRIPTION=suomi (perussanasto) Sukija
-vvfst-sukija-ys: GENLEX_OPTS=--style=dialect,foreign,foreignloan,inappropriate,incorrect,international,old --min-frequency=10 --extra-usage=education,human,it,medicine,nature,orgname,science --sukija --sukija-ys
+vvfst-sukija-ys: GENLEX_OPTS=--style=dialect,foreign,foreignloan,inappropriate,incorrect,international,old --min-frequency=10 --extra-usage=education,human,it,medicine,nature,orgname,private_stat_fi,science --sukija --sukija-ys
 vvfst-sukija-ys: $(VVFST_BUILDDIR)/mor-sukija.vfst  $(VVFST_BUILDDIR)/index.txt
 
 $(VVFST_BUILDDIR)/all-sukija.lexc: $(VVFST_BUILDDIR)/all.lexc $(VVFST_BUILDDIR)/generate_sukija.py.stamp $(VVFST_BUILDDIR)/poikkeavat-sukija.lexc

=== debian/changelog ===
voikko-fi (2.3-1) unstable; urgency=medium

  * New upstream version.
  * Drop 10_source_date_epoch.patch, merged upstream.
  * Update git urls.
  * Update Standards-Version.

 -- Timo Jyrinki <timo@debian.org>  Wed, 25 Sep 2019 14:37:06 +0300

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
                foma-bin,
                libvoikko-dev (>= 4.0),
                python3,
-Standards-Version: 4.0.0
+Standards-Version: 4.4.0
 Homepage: http://voikko.puimula.org/
-Vcs-Git: git://anonscm.debian.org/collab-maint/suomi-malaga.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/suomi-malaga.git;a=summary
+Vcs-Git: https://salsa.debian.org/debian/voikko-fi.git
+Vcs-Browser: https://salsa.debian.org/debian/voikko-fi
 
 Package: voikko-fi
 Architecture: any

## voikko-fi 2.4

=== debian/changelog ===
voikko-fi (2.4-1) unstable; urgency=medium

  * New upstream version.
  * Bump debehelper version to 12.

 -- Timo Jyrinki <timo@debian.org>  Fri, 08 Jan 2021 12:24:04 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: text
 Priority: optional
 Maintainer: Timo Jyrinki <timo@debian.org>
-Build-Depends: debhelper (>= 9.0.0),
+Build-Depends: debhelper-compat (= 12),
                foma-bin,
                libvoikko-dev (>= 4.0),
                python3,

## voikko-fi 2.5

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 -include config.mak
 
 # Version of voikko-fi
-SM_VERSION=2.3
+SM_VERSION=2.5
 ifdef SOURCE_DATE_EPOCH
 	SM_BUILDDATE=$(shell date -R -u -d "@$(SOURCE_DATE_EPOCH)")
 else

=== debian/changelog ===
voikko-fi (2.5-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.0, no changes needed.

  [ Timo Jyrinki ]
  * Change foma dependency to not depend on a transitional package.
    (Closes: #1077414)

 -- Timo Jyrinki <timo@debian.org>  Sun, 18 Aug 2024 10:30:48 +0300

voikko-fi (2.5-1) unstable; urgency=medium

  * New upstream version.

 -- Timo Jyrinki <timo@debian.org>  Thu, 03 Mar 2022 15:34:37 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: text
 Priority: optional
 Maintainer: Timo Jyrinki <timo@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               foma-bin,
+Build-Depends: debhelper-compat (= 13),
+               foma,
                libvoikko-dev (>= 4.0),
                python3,
-Standards-Version: 4.4.0
-Homepage: http://voikko.puimula.org/
+Standards-Version: 4.6.0
+Homepage: https://voikko.puimula.org/
 Vcs-Git: https://salsa.debian.org/debian/voikko-fi.git
 Vcs-Browser: https://salsa.debian.org/debian/voikko-fi

=== debian/rules ===
--- 
+++ 
@@ -11,4 +11,3 @@
 	
 override_dh_auto_install:
 	$(MAKE) vvfst-install DESTDIR=$(CURDIR)/debian/voikko-fi/usr/lib/voikko
-
